CVE-2018-16864

NameCVE-2018-16864
DescriptionAn allocation of memory without limits, that could result in the stack clashing with another memory region, was discovered in systemd-journald when a program with long command line arguments calls syslog. A local attacker may use this flaw to crash systemd-journald or escalate his privileges. Versions through v240 are vulnerable.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
ReferencesDLA-1639-1, DSA-4367-1
NVD severitymedium (attack range: local)
Debian Bugs918841

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
systemd (PTS)jessie215-17+deb8u7vulnerable
jessie (security)215-17+deb8u13fixed
stretch (security), stretch232-25+deb9u11fixed
buster241-5fixed
bullseye, sid242-4fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
systemdsource(unstable)240-4medium918841
systemdsourcejessie215-17+deb8u9mediumDLA-1639-1
systemdsourcestretch232-25+deb9u7mediumDSA-4367-1

Notes

Introduced in: https://github.com/systemd/systemd/commit/ae018d9bc900d6355dea4af05119b49c67945184 (v203)
Exploitable since: https://github.com/systemd/systemd/commit/ac2e41f5103ce2c679089c4f8fb6be61d7caec07 (v230)
Fixed by: https://github.com/systemd/systemd/commit/084eeb865ca63887098e0945fb4e93c852b91b0f
Fixes for master: https://github.com/systemd/systemd/pull/11374
https://www.openwall.com/lists/oss-security/2019/01/09/3
https://www.qualys.com/2019/01/09/system-down/system-down.txt

Search for package or bug name: Reporting problems